package com.ruoyi.project.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 【请填写功能名称】对象 zh_group_info
 *
 * @author zhu
 * @date 2023-12-26
 */
@Data
public class ZhGroupInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 团队名称
     */
    @Excel(name = "团队名称")
    private String name;

    /**
     * 智绘的id
     */
    @Excel(name = "智绘的id")
    private String zhGroupId;

    /**
     * 智绘的企业id
     */
    private String zhFirmId;

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("name", getName())
                .append("zhGroupId", getZhGroupId())
                .append("zhFirmId", getZhFirmId())
                .toString();
    }
}
